import { useLoginStore } from './modules/login'
import { useUserStore } from './modules/user'
import { useThemeStore } from './modules/theme'
import { useMenuStore } from './modules/menu'
import { useAccountStore } from './modules/account'
import { useFuturesStore } from './modules/futures'
import { useLanguageStore } from './modules/language'
import { useEnumStore } from './modules/enum'
import { useErrorInfoStore } from './modules/errorInfo'

export {
    useLoginStore,
    useUserStore,
    useThemeStore,
    useMenuStore,
    useAccountStore,
    useFuturesStore,
    useLanguageStore,
    useEnumStore,
    useErrorInfoStore,
}

export function useStore() {
    return {
        loginStore: useLoginStore(),
        userStore: useUserStore(),
        themeStore: useThemeStore(),
        menuStore: useMenuStore(),
        accountStore: useAccountStore(),
        futuresStore: useFuturesStore(),
        languageStore: useLanguageStore(),
        enumStore: useEnumStore(),
        errorInfoStore: useErrorInfoStore(),
    }
}